#ifndef CONFIG_H__
#define CONFIG_H__

#include <stdbool.h>
#include <stdint.h>
#include "boards.h"
#include "nordic_common.h"

static void wdt_start(unsigned int second);
void rtc_start(unsigned int second);
void wait_ms(unsigned int ms);
void gpio_config(void);
void gpio_config_deep_sleep(void);
void spi_init(void);
uint8_t spi_write_byte(uint8_t byte);
void spi_send(uint8_t *tx_buf);
uint8_t spi_read(uint8_t *tx_buf);
void adxl_config(void);


#endif
